LobbyCentral Kiosk is an iPad application that can be downloaded from the Apple App Store.


System Requirements

  • Compatible iPad (see list below)
  • iOS version 9.0 or higher
  • Internet access (cloud subscribers) or LAN access (on-premise customers)

Compatible iPads
These devices support iOS version 9 or higher.

  • iPad Pro
  • iPad Air 2 
  • iPad Air
  • iPad 4
  • iPad 3
  • iPad 2 
  • iPad Mini 4
  • iPad Mini 3
  • iPad Mini 2
  • iPad Mini